Bug 7829 - [UPDATE REQUEST] pidgin 2.11.0 -> 2.12.0
: [UPDATE REQUEST] pidgin 2.11.0 -> 2.12.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-01 04:00 MSD by Andrey Bondrov
Modified: 2017-05-29 14:30 MSD (History)
1 user (show)

See Also:
RPM Package: pidgin
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-04-01 04:00:34 MSD
New version of Pidgin was released. 

version 2.12.0 (03/09/2017):
libpurple:
* Fix an out of bounds memory write in purple_markup_unescape_entity.
  CVE-2017-2640
* Fix use of uninitialised memory if running non-debug-enabled versions of glib
* Updated AIM dev and dist ID's to new ones that were assigned by AOL.
* TLS certificate verification now uses SHA-256 checksums.
* Fixed SASL external auth for Freenode.
* Removed the MSN protocol plugin. It has been unusable and dormant for some
  time. MSNP18 has been discontinued and the protocol plugin would require a
  large update to start working again. See: http://ismsndeadyet.com/ The
  third-party Pidgin SkypeWeb plugin, however, should provide enough
  functionality as a replacement if people still want to use MSN:
  https://github.com/EionRobb/skype4pidgin/tree/master/skypeweb
* Removed Mxit protocol plugin. The service was closed at the end of
  September 2016. See
  https://pidgin.im/pipermail/devel/2016-September/024078.htm
* Removed the MySpaceIM protocol plugin. The service has been defunct for a
  long time. (#15356)
* Remove the Yahoo! protocol plugin. Yahoo has completely
  reimplemented their protocol, so this version is no longer operable as
  of August 5th, 2016:
  https://yahoo.tumblr.com/post/145715934739/q2-2016-progress-report-on-our-product
  A new protocol plugin has been written to support the new protocol.
  It can be found here: https://github.com/EionRobb/funyahoo-plusplus
  This also removes support for Yahoo! Japan. According to
  http://messenger.yahoo.co.jp/ the service ended March 26th, 2014.
* Remove the Facebook (XMPP) account option. According to
  https://developers.facebook.com/docs/chat the XMPP Chat API service
  ended April 30th, 2015. A new protocol plugin has been written,
  using a different method, to support Facebook. It can be found at
  https://github.com/dequis/purple-facebook/wiki
* Fixed gnutls certificate validation errors that mainly affected google (Dequis)

General
* Replaced instances of d.pidgin.im with developer.pidgin.im and updated the
  urls to use https. (#17036)

IRC
* Fixed issue of messages being silently cut off at 500 characters. Large
  messages are now split into parts and sent one by one. (#4753)
Comment 1 Andrey Bondrov 2017-04-01 04:01:40 MSD
Advisory: "Update Pidgin to new version 2.12.0"

https://abf.rosalinux.ru/build_lists/2864500
https://abf.rosalinux.ru/build_lists/2864501

P.S. It's not a blocker for R9 release. Low priority update.
Comment 2 Vladimir Potapov 2017-05-05 14:51:13 MSD
(In reply to comment #1)
> Advisory: "Update Pidgin to new version 2.12.0"
> 
> https://abf.rosalinux.ru/build_lists/2864500
> https://abf.rosalinux.ru/build_lists/2864501
> 
> P.S. It's not a blocker for R9 release. Low priority update.

Please, rebuild containers
Comment 3 Andrey Bondrov 2017-05-05 15:35:31 MSD
Advisory: "Update Pidgin to new version 2.12.0"

https://abf.rosalinux.ru/build_lists/2870659
https://abf.rosalinux.ru/build_lists/2870660
Comment 4 Vladimir Potapov 2017-05-18 15:21:42 MSD
(In reply to comment #3)
> Advisory: "Update Pidgin to new version 2.12.0"
> 
> https://abf.rosalinux.ru/build_lists/2870659
> https://abf.rosalinux.ru/build_lists/2870660
The update is sent to expanded testing
***************************************
Comment 5 Vladimir Potapov 2017-05-22 17:14:42 MSD
pidgin-2.12.0-1
https://abf.rosalinux.ru/build_lists/2870659
https://abf.rosalinux.ru/build_lists/2870660
**************** Advisory ********************
Update Pidgin to new version 2.12.0
**********************************************
QA Verified
Comment 6 Andrey Bondrov 2017-05-22 17:52:51 MSD
Also rosa2014.1 packages:

Advisory: "Update Pidgin to new version 2.12.0"

https://abf.rosalinux.ru/build_lists/2872119
https://abf.rosalinux.ru/build_lists/2872120
Comment 7 Vladimir Potapov 2017-05-25 16:45:48 MSD
The update is sent to expanded testing
***************************************
Comment 8 Vladimir Potapov 2017-05-29 12:56:15 MSD
pidgin-2.12.0-1
https://abf.rosalinux.ru/build_lists/2872119
https://abf.rosalinux.ru/build_lists/2872120
**************************** Advisory ******************************
Update Pidgin to new version 2.12.0
********************************************************************
QA verified